<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.8.0"></script>
    <title>Liquidador</title>
</head>

<style>
  

  .customDiv {
    width: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20px;
  }

  @media (max-width: 1280px) {
    .customDiv { 
      width: 100%; 
    }
  }
</style>


<body>


    <div id="like_button_container"></div>

    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand m-2" href="index.html"> Inicio</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
          <div class="navbar-nav">
            <a class="nav-link" href="liquidador.html">Liquidador</a>
            <a class="nav-link" href="manual.html">Manual</a>
            <a class="nav-link active" href="ifs.html">Indicadores financieros</a>
          </div>
        </div>
    </nav>


    <!--   GRÁFICA    -->

    <div class="myChart">
      <canvas id="flujoCaja"></canvas>
    </div>
    


    <div class="customDiv" style="min-height: 1000px;">
      <div class="card  myCard">
        <div class="card-header">
          Indicadores financieros
        </div>
        <div class="card-body">

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Inversión $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_inversion" value=""  >
          </div>

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Financiamiento %</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_financiamiento" value=""  >
          </div>

          <div class="input-group mb-3">
            <span class="input-group-text" id="basic-addon3">Tiempo en años</span>
            <input id="txt_tiempo" type="number" class="form-control" aria-describedby="basic-addon3">
          </div>

          <div class="input-group mb-3">
            <span class="input-group-text" id="basic-addon3">Interés, periodo vencido %</span>
            <input id="txt_interes" type="number" class="form-control" aria-describedby="basic-addon3">
          </div>

          <div class="input-group mb-3">
            <span class="input-group-text" id="basic-addon3">Valor de recuperación</span>
            <input id="txt_recuperacion" type="number" class="form-control" aria-describedby="basic-addon3">
          </div>

          <select id="selector" class="form-select" aria-label="Default select example" onchange="calcularPeriodos()">
            <option value="12">Mensual</option>
            <option value="6">Bimensual</option>
            <option value="4">Trimestral</option>
            <option value="2">Semestral</option>
            <option value="1">Anual</option>
          </select>

          <div class="card mt-4 w-50 ">
            <div class="card-body">
              <h5 class="card-title">Ingresos fijos y egresos fijos</h5>
              
              <p class="card-text">Al momento de establecer un ingreso o egreso fijos se aplicarán a
                todos los periodos, desde luego desde el periodo 1.
              </p>
              
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text">Ingreso %</span>
                </div>
                <input type="number" class="form-control text-right" id="txt_ingreso_fijo" value=""  >
              </div>

              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text">Egreso $</span>
                </div>
                <input type="number" class="form-control text-right" id="txt_egreso_fijo" value=""  >
              </div>

            </div>
          </div>

          <div class="card mt-4 w-50">
            <div class="card-body">
              <h5 class="card-title">Ingrese los siguientes datos:</h5>
              <p class="card-text">Use el punto para separar cifras decimales, 
                no es necesario agregar el símbolo de %, para calcular el valor del TIO
                es necesario llenar los siguientes campos
              </p>
              
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text">PR %</span>
                </div>
                <input type="number" class="form-control text-right" id="txt_pr" value=""  >
              </div>

              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text">DTF %</span>
                </div>
                <input type="number" class="form-control text-right" id="txt_dtf" value="1.96"  >
              </div>

              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text">TIO %</span>
                </div>
                <input type="number" class="form-control text-right" id="txt_tio" value="0.0"  disabled>
              </div>

            </div>
          </div>

          <button id="btn_calcular" class="btn btn-primary mt-4 mb-4 w-100" onclick="calcularPeriodos()"> Calcular</button>         

         
          <h3 class="mt-4 mb-4">Tabla de amotización variable</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">n</th>
                <th scope="col">P</th>
                <th scope="col">Abono P</th>
                <th scope="col">I</th>
                <th scope="col">Pagos bancos</th>
                <th scope="col">Opciones</th>
                <th scope="col">Ingresos</th>
                <th scope="col">Egresos</th>
                <th scope="col">Pago extraordinario</th>
              </tr>
            </thead>
            <tbody id="tabla_avariable">
              
            </tbody>
          </table>


          <h3 class="mt-5 mb-4">Tabla de ingresos y egresos</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">n</th>
                <th scope="col">INGRESOS</th>
                <th scope="col">EGRESOS</th>
                <th scope="col">FNE</th>
                <th scope="col">Valor actual</th>
              </tr>
            </thead>
            <tbody id="tabla_ingresos">
              
            </tbody>
          </table>


          <div class="card mt-4 bg-light">
            <div class="card-body">
              <h4 class="card-title">Resultados</h4>
              
              <p class="card-text">Al momento de establecer un ingreso o egreso fijos se aplicarán a
                todos los periodos, desde luego desde el periodo 1.
              </p>
              
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="btn btn-success" id="btn_vpn">VPN $</span>
                </div>
                <input type="text" class="form-control text-right" id="txt_vpn" value="" disabled >
              </div>

              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="btn btn-success" id="btn_tir">TIR %</span>
                </div>
                <input type="number" class="form-control text-right" id="txt_tir" value="" disabled >
              </div>

              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="btn btn-success" id="btn_bc">B/C</span>
                </div>
                <input type="number" class="form-control text-right" id="txt_bc" value="" disabled >
              </div>

            </div>
          </div>
          

        </div>
      </div>
    </div>

    <!-- Footer -->
    <footer class="bg-dark text-center text-lg-start">
      <!-- Grid container -->
      <div class="container p-4">
        <!--Grid row-->
        <div class="row">
          <!--Grid column-->
          <div class="col-lg-6 col-md-12 mb-4 mb-md-0">
            <h5 class="text-uppercase text-light">Liquidador online beta 1.1</h5>
    
            <p class="text-light ">
              Estamos trabajando para mejorar este servicio, todavía se encuentra en
              fase de desarrollo, muchas gracias por visitar la página, puedes contactarme
              por medio de las siguientes redes.
            </p>
          </div>
          <!--Grid column-->
    
          <!--Grid column-->
          <div class="col-lg-3 col-md-6 mb-4 mb-md-0">
            <h5 class="text-uppercase" style="color:darkgrey">Redes</h5>
    
            <ul class="list-unstyled mb-0">
              <li>
                <a href="https://www.linkedin.com/in/luis-angel-espa%C3%B1a-yepez-a384471a5/" target="_blank"
                  class="text-light">Linkedin</a>
              </li>
            </ul>
          </div>
          <!--Grid column-->
    
          <!--Grid column-->
          <div class="col-lg-3 col-md-6 mb-4 mb-md-0">
            <h5 class="text-uppercase mb-0" style="color:darkgrey">Dev</h5>
    
            <ul class="list-unstyled">
              <li>
                <a href="https://gitlab.com/fdh.luis.angel" target="_blank" class="text-light">Gitlab</a>
              </li>
              <li>
                <a href="https://github.com/LuisEspanna" target="_blank" class="text-light">Github</a>
              </li>
            </ul>
          </div>
          <!--Grid column-->
        </div>
        <!--Grid row-->
      </div>
      <!-- Grid container -->
    
      <!-- Copyright -->
      <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2); color:darkgrey">
        © 2020 Copyright:
        <a class="text-light" href="https://mdbootstrap.com/">MDBootstrap.com</a>
      </div>
      <!-- Copyright -->
    </footer>
    <!-- Footer -->

</body>

<script>

  function getInversion(original){
    let txt_inversion = document.getElementById("txt_inversion");
    let inversion = parseFloat(txt_inversion.value);

    if(original)return parseFloat(txt_inversion.value);

    if(getFinanciemiento()){
      inversion = (inversion * (getFinanciemiento()/100));
    }
   
    return parseFloat(inversion);
  }

  function getFinanciemiento(){
    let info = document.getElementById("txt_financiamiento");
    return parseFloat(info.value);
  }

  function getTiempo(){
    let info = document.getElementById("txt_tiempo");
    return parseFloat(info.value);
  }

  function getInteres(){
    let info = document.getElementById("txt_interes");
    let interes = parseFloat(info.value)/100;

    interes = (interes / getTipoPago());

    return interes;
  }

  function getTipoPago(){
    let info = document.getElementById("selector");
    return parseInt(info.value);
  }

  function getRecuperacion(){
    let info = document.getElementById("txt_recuperacion");
    return parseInt(info.value);
  }
  
  function getPR(original){
    let info = document.getElementById("txt_pr");

    if(original){
      return parseFloat(info.value);
    }
    else{
      let res = parseFloat(info.value) / 100;
      res = res/getTipoPago();
      return res;
    } 
  }

  function getDTF(){
    let info = document.getElementById("txt_dtf");
    info = parseFloat(info.value);
    info = info/100;
    return info;
  }

  function getTIO(){

    if(!getPR() || !getDTF()){
      console.log("No se puede calcular, debe ingresar PR y DTF");
      return NaN;
    }

    let info = document.getElementById("txt_tio");
    info.value = parseFloat((getPR()+getDTF())*100);
    return parseFloat((getPR()+getDTF()));
  }

  function getIngresoFijo(){
    let info = document.getElementById("txt_ingreso_fijo");

    if(getInversion()){
      info = parseFloat(info.value) * getInversion(true) /100;
    }else{
      info = info.value;
    }

    return parseFloat(info);
  }

  function getEgresoFijo(){
    let info = document.getElementById("txt_egreso_fijo");
    return parseFloat(info.value);
  }

  var tabla_avariable = document.getElementById("tabla_avariable");
  var tabla_ingresos = document.getElementById("tabla_ingresos");

  var txt_vpn = document.getElementById("txt_vpn");
  var txt_tir = document.getElementById("txt_tir");
  var txt_bc = document.getElementById("txt_bc");

  //Botones de decision 
  var btn_vpn = document.getElementById("btn_vpn");
  var btn_tir = document.getElementById("btn_tir");
  var btn_bc = document.getElementById("btn_bc");

  function resetButtons(){
    btn_vpn.classList.remove("btn-danger");
    btn_tir.classList.remove("btn-danger");
    btn_bc.classList.remove("btn-danger");

    btn_vpn.classList.add("btn-success");
    btn_tir.classList.add("btn-success");
    btn_bc.classList.add("btn-success");
  }


  function setdefaultValues(){

    let txt_inversion = document.getElementById("txt_inversion");
    let txt_financiamiento = document.getElementById("txt_financiamiento");
    let txt_tiempo = document.getElementById("txt_tiempo");
    let txt_interes = document.getElementById("txt_interes");
    let selector = document.getElementById("selector");
    let recuperacion = document.getElementById("txt_recuperacion");
    let pr = document.getElementById("txt_pr");
    let ingresoFijo = document.getElementById("txt_ingreso_fijo");
    let egresoFijo = document.getElementById("txt_egreso_fijo");

    txt_inversion.value = 489000000;
    txt_financiamiento.value = 80;
    txt_tiempo.value = 3.5;
    txt_interes.value = 18.60;
    selector.value = 6;
    recuperacion.value = 50000000;
    pr.value = 8.50;

    ingresoFijo.value = 19;
    egresoFijo.value = 2750000;
  }

  //-----------------------------------------------------------------------------------  GRAFICA

  var barCharData = {
    
  }

  window.onload = function(){
    var ctx = document.getElementById('flujoCaja').getContext('2d');
    
    window.chart = new Chart(ctx, {
          // The type of chart we want to create
          type: 'bar',

          // The data for our dataset
          data: barCharData,
          options: {
                title: {
                  display: true,
                  text: 'Chart.js Bar Chart - Stacked'
                },
                tooltips: {
                  mode: 'index',
                  intersect: false
                },
                responsive: true,
                scales: {
                  xAxes: [{
                    stacked: true,
                  }],
                  yAxes: [{
                    stacked: true
                  }]
                }
          }  
        }
      );
  }
  //setdefaultValues();


</script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js" integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0" crossorigin="anonymous"></script>
<script src="./components//row.js"></script>
<script src="./components//rowIE.js"></script>
<script src="./indicadores.js"></script>

</html>